it.csi.mddtools.guigen

## Interface ActorBasedSecurityConstraint

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, UISecurityConstraint

      public interface ActorBasedSecurityConstraint
      extends UISecurityConstraint

  A representation of the model object 'Actor Based Security Constraint'. Security constraint basato sull'impersonificazione dell'utente corrente di un particolare Actor

  The following features are supported:

  - `Actor`
  See Also:
    `GuigenPackage.getActorBasedSecurityConstraint()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Actor` | `getActor()` Returns the value of the 'Actor' reference
    `void` | `setActor(Actor value)` Sets the value of the '`Actor`' reference

    - ### Methods inherited from interface it.csi.mddtools.guigen.UISecurityConstraint

      `isEnabled, isVisible, setEnabled, setVisible`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getActor

          Actor getActor()

      Returns the value of the 'Actor' reference.

      If the meaning of the 'Actor' reference isn't clear, there really should be more of a description here...

      L'Actor di riferimento
      Returns:
        the value of the 'Actor' reference.
      See Also:
        `setActor(Actor)`, `GuigenPackage.getActorBasedSecurityConstraint_Actor()`

    - #### setActor

          void setActor(Actor value)

      Sets the value of the '`Actor`' reference.
      Parameters:
        `value` - the new value of the 'Actor' reference.
      See Also:
        `getActor()`